Subject: Seek help and advice

From: Jun Wu <[email-masked]>
Date: Thu, 5 May 94 00:22:53 CDT

I post this for a friend, please send reply back to me and I will forward
to him. Thanks you all in advance.

Jun

      Mr. Yang entered the United States on May 19, 1992 in J-2 status.  His
      mother was J-1.  When Yang arrived in the US he was 19 years old.

      Yang's mother was the CSPA principal in the family and she filed her
      application for PR in late June (I do not know her priority date) of
      1993, and has now adjusted status.

      Of course, the day she filed her I-485, her son, technically, lost his
      J-2 status.

      Yang discussed this with INS/OMA who told him to file as an LAD and not
      to worry about his immigration status.  He did that.  He was 20 years
      old when he filed.  He tells me that he asked an Information Officer in
      Omaha what would happen if they didn't approve his application before
      he turned 21 years old, and he says that the IO said it would be ok,
      that the age that mattered was his age on the date he filed.

      On December 25, 1993, Yang turned 21 years old.  He is a full-time
      student at The University of Iowa and, as a nonimmigrant, could be an
      F-1 student -- that is, he is eligible for an I-20.

      On April 20, 1994, INS/OMA returned his entire application to him with
      a note saying "You turned 21 years of age on December 25, 1993.  You do
      not qualify for benefits as a dependent of a CSPA principal.  You must
      meet all the usual adjustment of status requirements applicable to
      derivative employment-based preference aliens.  Because you are over
      21, your parents will have to file a Petition for Alien Relative (Form
      I-130) in your behalf as the unmarried son/daughter of a Lawful
      Permanent Resident.

      Form I-130 attached.  SIncerely, Omaha Examinations"

      OK -- that's fine, but the son now has NO immigration status.  He wants
      F-1.  Is there any way to obtain relief for him?  It seems to me that
      the CSPA is an unusual immigration event.  Families have reunited in
      the US because of it, but by following the letter of the law as
      written, families are being torn apart -- Yang will sit here for years
      with no immigration status before a visa becomes available to him in
      the family category.

      Is there any movement for legislation to help dependents like Yang?
      Does anyone have any ideas on how he can fix his situation?

      Thank you for your attention to this case.